Create a new registration certificate with files
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/registration-certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frontside": {
"filename": "<string>"
}
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/registration-certificates"
payload = { "frontside": { "filename": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({frontside: {filename: '<string>'}})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/registration-certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"secret": "<string>",
"itemId": "<unknown>"
}Registration certificates
Create a new registration certificate with files
Create a new registration certificate by uploading images of the front and optionally the back side of the document
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
blobs
/
registration-certificates
Create a new registration certificate with files
This endpoint deals with defining the name and content type of the files. Use Get a file upload link to upload the actual content of the files by providing the UUIDs and secret from the response.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
Information about the BLOBs to be uploaded
⌘I

